aboutsummaryrefslogtreecommitdiff
path: root/cddl/contrib/opensolaris/cmd/dtrace/test/tst
diff options
context:
space:
mode:
authorMark Johnston <markj@FreeBSD.org>2018-01-10 21:40:36 +0000
committerMark Johnston <markj@FreeBSD.org>2018-01-10 21:40:36 +0000
commit60eddb209b5ad13a549ca74a41b7cb38a31da5ef (patch)
tree3f79174ff68a615c73d755337284e87a7611b75d /cddl/contrib/opensolaris/cmd/dtrace/test/tst
parentff9ebfc4b618ee0113b23fb36ae4adfea62e31e2 (diff)
downloadsrc-60eddb209b5ad13a549ca74a41b7cb38a31da5ef.tar.gz
src-60eddb209b5ad13a549ca74a41b7cb38a31da5ef.zip
Add a regression test for r327794.
MFC after: 2 weeks
Notes
Notes: svn path=/head/; revision=327795
Diffstat (limited to 'cddl/contrib/opensolaris/cmd/dtrace/test/tst')
-rw-r--r--cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/env/tst.setenv3.ksh34
-rw-r--r--cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/env/tst.setenv3.ksh.out2
2 files changed, 36 insertions, 0 deletions
diff --git a/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/env/tst.setenv3.ksh b/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/env/tst.setenv3.ksh
new file mode 100644
index 000000000000..50eb16e45d44
--- /dev/null
+++ b/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/env/tst.setenv3.ksh
@@ -0,0 +1,34 @@
+#
+# CDDL HEADER START
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source. A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2012 by Delphix. All rights reserved.
+#
+
+#
+# Reset an environment variable we already know to be set.
+# Regression test for FreeBSD r327794.
+#
+
+if [ $# != 1 ]; then
+ echo expected one argument: '<'dtrace-path'>'
+ exit 2
+fi
+
+dtrace=$1
+
+$dtrace -q -Z -n doogle -xsetenv=PATH=/foo -c '/usr/bin/printenv PATH'
+
+exit $?
diff --git a/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/env/tst.setenv3.ksh.out b/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/env/tst.setenv3.ksh.out
new file mode 100644
index 000000000000..699539b069ec
--- /dev/null
+++ b/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/env/tst.setenv3.ksh.out
@@ -0,0 +1,2 @@
+/foo
+